Subject: Re: linux-next: Tree for Jul 10

From: Andy Shevchenko <[email-masked]>
Date: Sun, 12 Jul 2020 18:56:04 +0300

On Fri, Jul 10, 2020 at 06:33:18PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20200709:
> 
> My fixes tree contains:
> 
>   dbf24e30ce2e ("device_cgroup: Fix RCU list debugging warning")
>   b236d81d9e4f ("powerpc/boot/dts: Fix dtc "pciex" warnings")
> 
> The kbuild tree still had its build failure for which I reverted a commit.
> 
> The scmi tree lost its build failure.
> 
> The drm tree gained a conflict against the drm-fixes tree.
> 
> The security tree still had its build failure for which I applied a patch.
> 
> The tip tree still had one build failure for which I reverted a commit
> and gained a conflict against the spi tree.
> 
> The pidfd tree gained a conflict against the seccomp tree.
> 
> The akpm-current tree lost its build failure but gained a conflict
> against the risc-v tree.
> 
> Non-merge commits (relative to Linus' tree): 6231
>  7061 files changed, 371498 insertions(+), 144830 deletions(-)

I can't build it on Debian with Sparse enabled

CC      init/main.o
init/main.c:760:20: warning: no previous prototype for ‘mem_encrypt_init’ [-Wmissing-prototypes]
760 | void __init __weak mem_encrypt_init(void) { }
|                    ^~~~~~~~~~~~~~~~
CHECK   /home/andy/prj/linux-topic-uart/init/main.c
include/linux/compiler.h:309:16: error: typename in expression
include/linux/compiler.h:309:16: error: Expected ) in function call
include/linux/compiler.h:309:16: error: got :
...
(All READ_ONCE() entries fail)

Is it known issue?

-- 
With Best Regards,
Andy Shevchenko